> For the complete documentation index, see [llms.txt](https://docs.spydra.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.spydra.app/developers/api-reference/asset-tokenization/graphql/built-in-attributes.md).

# Built-in attributes

There are some attributes which are added to the assets stored on the ledger which are added by the Blockchain. As these attributes are not part of the asset data, a special syntax is required to fetch them in queries. These attributes can be fetched by specifying an object called "ledgerMetadata" as one of the fields. For e.g. to get the owners of an asset:

```graphql
{
    Car {
        Id
        make
        ledgerMetadata{
            owners
        }
    }
}
```

Response:

```json
{
    "data": {
        "Car_count": 1,
        "Car": [
            {
                "Id": "car1",
                "make": "ford",
                "ledgerMetadata": {
                    "owners": [
                        {
                            "orgId": "641821e82c44573cb52c7d97"
                        }
                    ]
                }
            }
        ]
    }
}
```

The following built-in fields are avaiable to be queried as part of ledgerMetadata

* owners
* createdAt
* updatedAt
* createdBy
* updatedBy


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.spydra.app/developers/api-reference/asset-tokenization/graphql/built-in-attributes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
